Summary: A customized configuration of the fvwm2 window manager.
Name: AnotherLevelUp
Version: 000630
Source: http://www.cs.man.ac.uk/~jtl/ALU/AnotherLevelUp-000630.tar.gz
Release: 1
Copyright: distributable
Group: User Interface/Desktops
URL: http://www.cs.man.ac.uk/~jtl/ALU
Packager: John Latham <jtl@cs.man.ac.uk>
Vendor: John Latham, M.U.C.S.
Requires: m4, fvwm2, fvwm2-icons, wmconfig > 0.3, redhat-logos
BuildArchitectures: noarch
BuildRoot: /var/tmp/AnotherLevelUp-root
Obsoletes: TheNextLevel AnotherLevel

%description
AnotherLevelUp is a custom configuration of the fvwm2 window manager.
AnotherLevelUp is a serious enhancement of Red Hat's AnotherLevel, now
deprecated by Red Hat. AnotherLevel was based on TheNextLevel, a desktop
configuration which won the 1996 Red Hat Desktop Contest, and was designed to
be easily configured by the user. AnotherLevelUp makes this configuration even
easier, through the use of menus and GUI scripts. It also retains and enhances
the `by-hand' configuration abilities of AnotherLevel. AnotherLevelUp comes
complete with around 50 selectable themes, and offers the user the ability to
create their own.

It also contains a number of useful images for desktop backgrounds.

All but a few of the themes are contained in the separate package
AnotherLevelUpThemes. The extra images are in AnotherLevelUpExtraImages. This
separation permits 3 levels of installation, and also more efficient downloads
as the themes and extra images currently change much more slowly than the main
package.

Install AnotherLevelUp if you've used the AnotherLevel window manager before
and you liked it in principle, especially if you liked its lightness but
wanted more flexibility without having to dig into the M4 code of it.

Those in charge of large multi-user environments (e.g. student labs) may
additionally find its flexibility of central configuration an attractive
feature.

%prep
%setup -c -q

%build
echo "No build necessary"

%install
mkdir -p $RPM_BUILD_ROOT/etc/X11/AnotherLevelUp
cp -a AnotherLevel/* $RPM_BUILD_ROOT/etc/X11/AnotherLevelUp

mkdir -p $RPM_BUILD_ROOT/usr/share/icons
cp -a ICONS/*.xpm $RPM_BUILD_ROOT/usr/share/icons

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/mini
mv $RPM_BUILD_ROOT/usr/share/icons/mini[.-]* $RPM_BUILD_ROOT/usr/share/icons/mini

mkdir -p $RPM_BUILD_ROOT/usr/share/AnotherLevelUp/images
mkdir -p $RPM_BUILD_ROOT/usr/share/AnotherLevelUp/images/PICTURES
mkdir -p $RPM_BUILD_ROOT/usr/share/AnotherLevelUp/images/PATTERNS
cp -a IMAGES/* $RPM_BUILD_ROOT/usr/share/AnotherLevelUp/images

cp -a SHARED_PREFERENCES $RPM_BUILD_ROOT/etc/X11/AnotherLevelUp

mkdir -p $RPM_BUILD_ROOT/etc/X11/AnotherLevel
#N.B: must be absolute link for ALU to find itself
ln -sf /etc/X11/AnotherLevelUp/fvwm2rc.m4 \
	$RPM_BUILD_ROOT/etc/X11/AnotherLevel/fvwm2rc.m4

mkdir -p $RPM_BUILD_ROOT/etc/X11/TheNextLevel
ln -sf /etc/X11/AnotherLevelUp/fvwm2rc.m4 \
	$RPM_BUILD_ROOT/etc/X11/TheNextLevel/.fvwm2rc.m4
ln -sf /etc/X11/AnotherLevelUp/fvwm2rc.m4 \
	$RPM_BUILD_ROOT/etc/X11/TheNextLevel/fvwm2rc.m4

mkdir -p $RPM_BUILD_ROOT/etc/X11/gdm/Sessions
install -m 755 misc/AnotherLevelUp.session \
	$RPM_BUILD_ROOT/etc/X11/gdm/Sessions/AnotherLevelUp

mkdir -p $RPM_BUILD_ROOT/usr/man/man1
install -m 644 misc/AnotherLevelUp.man \
	$RPM_BUILD_ROOT/usr/man/man1/AnotherLevelUp.1

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 755 misc/AnotherLevelUp.sh \
	$RPM_BUILD_ROOT/usr/X11R6/bin/AnotherLevelUp

%files
%defattr(-,root,root)
##%doc Sample.Xmodmap
/etc/X11/AnotherLevel
%dir /etc/X11/AnotherLevelUp
%config /etc/X11/AnotherLevelUp/*
/etc/X11/TheNextLevel
/etc/X11/gdm/Sessions/AnotherLevelUp
/usr/X11R6/bin/AnotherLevelUp
/usr/man/man1/AnotherLevelUp.1
/usr/share/AnotherLevelUp/
/usr/share/icons/*.xpm
/usr/share/icons/mini/*.xpm


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
